#include "AddrBook.h"
#include <string>
#include <iostream>

using namespace std;

int main(int argc, char * argv[]) {
	CLIENT * clnt;
	char * host;
	if(argc == 3) {
		host = argv[1];
		clnt = clnt_create(host, ADDRBOOK, ADDRBOOK_VERS, "tcp");

		if(clnt == NULL) {
			clnt_pcreateerror(host);
			exit(2);
		}
		char **data = get_1(argv[2], clnt);
		if(data == (char **) NULL) {
			clnt_perror(clnt, "bekomme NULL = nicht gefunden");
			exit(3);
		}
		string result = *data;
		cout<<"no: "<<result<<endl;
		clnt_destroy(clnt);
		
	} else if(argc == 4) {
		host = argv[1];
		clnt = clnt_create(host, ADDRBOOK, ADDRBOOK_VERS, "tcp");
		if(clnt == NULL) {
			clnt_pcreateerror(host);
			exit(2);
		}
		int * result = add_1(argv[2], argv[3], clnt);
		cout<<"Server Antwort: "<<(*result)<<" (42 = ok)"<<endl;
		clnt_destroy(clnt);
	} else {
		cout<<"usage: "<<argv[0]<<" host <name>"<<endl;
		cout<<"       "<<argv[0]<<" host <name> <no>"<<endl;
	}
	return 0;
}
