#include "AddrBook.h"
#include <string>
#include <map>
using namespace std;

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>

map<string , string> _items;

int * add_1_svc(char * name, char * no, struct svc_req * req) {
	static int *result;
	_items[(string) name] = (string) no;

	if(result != (int *) NULL)
		delete result;
	
	result = new int(42); 
	return result;
}

char ** get_1_svc(char * name, struct svc_req * req) {
	static char *result;
	string no;
	int size;
	map<string , string>::iterator r;
	
	r = _items.find((string) name);
	if(r == _items.end()) {
		result = NULL;
		return &result;
	}
	no = (*r).second;
	
	if(result != (char *) NULL)
		delete[] result;

	size = no.length() +1;
	result = new char[size];
	strncpy(result, no.c_str(), size);
	
	return &result;
}
